Package org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster

- All Implemented Interfaces:
    `CDOReferenceAdjuster`
  Enclosing class:
    CDOSessionProtocol.CommitTransactionResult

      protected static class CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster
      extends java.lang.Object
      implements CDOReferenceAdjuster

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PostCommitReferenceAdjuster​(CDOIDProvider idProvider, CDOIDMapper idMapper)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `adjustReference​(java.lang.Object id, org.eclipse.emf.ecore.EStructuralFeature feature, int index)` | Adjusts the internal structure of an object (e.g: `CDORevision`).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostCommitReferenceAdjuster

          public PostCommitReferenceAdjuster​(CDOIDProvider idProvider,
                                             CDOIDMapper idMapper)

  - ### Method Detail

    - #### adjustReference

          public java.lang.Object adjustReference​(java.lang.Object id,
                                                  org.eclipse.emf.ecore.EStructuralFeature feature,
                                                  int index)

      Description copied from interface: `CDOReferenceAdjuster`
      Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.
      Specified by:
        `adjustReference` in interface `CDOReferenceAdjuster`
      Since:
        4.0